# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 1.0.0.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class DataDriftRunDto(Model):
    """DataDriftRunDto.

    :param data_drift_id:
    :type data_drift_id: str
    :param execution_run_id:
    :type execution_run_id: str
    :param run_type: Possible values include: 'None', 'Adhoc', 'Scheduler',
     'BackFill'
    :type run_type: str or ~_restclient.models.enum
    :param start_time:
    :type start_time: datetime
    :param end_time:
    :type end_time: datetime
    :param id:
    :type id: str
    :param name:
    :type name: str
    :param type: Possible values include: 'ModelBased', 'DatasetBased'
    :type type: str or ~_restclient.models.enum
    :param model_name:
    :type model_name: str
    :param model_version:
    :type model_version: int
    :param base_dataset_id:
    :type base_dataset_id: str
    :param target_dataset_id:
    :type target_dataset_id: str
    :param services:
    :type services: list[str]
    :param compute_target_name:
    :type compute_target_name: str
    :param features:
    :type features: list[str]
    :param drift_threshold:
    :type drift_threshold: float
    :param job_latency:
    :type job_latency: int
    :param created_time:
    :type created_time: datetime
    :param experiment_name:
    :type experiment_name: str
    """

    _attribute_map = {
        'data_drift_id': {'key': 'dataDriftId', 'type': 'str'},
        'execution_run_id': {'key': 'executionRunId', 'type': 'str'},
        'run_type': {'key': 'runType', 'type': 'str'},
        'start_time': {'key': 'startTime', 'type': 'iso-8601'},
        'end_time': {'key': 'endTime', 'type': 'iso-8601'},
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'model_name': {'key': 'modelName', 'type': 'str'},
        'model_version': {'key': 'modelVersion', 'type': 'int'},
        'base_dataset_id': {'key': 'baseDatasetId', 'type': 'str'},
        'target_dataset_id': {'key': 'targetDatasetId', 'type': 'str'},
        'services': {'key': 'services', 'type': '[str]'},
        'compute_target_name': {'key': 'computeTargetName', 'type': 'str'},
        'features': {'key': 'features', 'type': '[str]'},
        'drift_threshold': {'key': 'driftThreshold', 'type': 'float'},
        'job_latency': {'key': 'jobLatency', 'type': 'int'},
        'created_time': {'key': 'createdTime', 'type': 'iso-8601'},
        'experiment_name': {'key': 'experimentName', 'type': 'str'},
    }

    def __init__(self, *, data_drift_id: str=None, execution_run_id: str=None, run_type=None, start_time=None, end_time=None, id: str=None, name: str=None, type=None, model_name: str=None, model_version: int=None, base_dataset_id: str=None, target_dataset_id: str=None, services=None, compute_target_name: str=None, features=None, drift_threshold: float=None, job_latency: int=None, created_time=None, experiment_name: str=None, **kwargs) -> None:
        super(DataDriftRunDto, self).__init__(**kwargs)
        self.data_drift_id = data_drift_id
        self.execution_run_id = execution_run_id
        self.run_type = run_type
        self.start_time = start_time
        self.end_time = end_time
        self.id = id
        self.name = name
        self.type = type
        self.model_name = model_name
        self.model_version = model_version
        self.base_dataset_id = base_dataset_id
        self.target_dataset_id = target_dataset_id
        self.services = services
        self.compute_target_name = compute_target_name
        self.features = features
        self.drift_threshold = drift_threshold
        self.job_latency = job_latency
        self.created_time = created_time
        self.experiment_name = experiment_name
